BLUE    = "\033[1;34m" # Primary
BOLD    = "\033[;1m"
CYAN    = "\033[1;36m" # Info
GREEN   = "\033[0;32m" # Success
PURPLE  = "\033[1;35m" # Secondary
RED     = "\033[1;31m" # Danger
RESET   = "\033[0;0m"
REVERSE = "\033[;7m"
YELLOW  = "\033[0;33m" # Warning

danger    = lambda μ:    f"{RED}{μ}{RESET}"
info      = lambda μ:   f"{CYAN}{μ}{RESET}"
primary   = lambda μ:   f"{BLUE}{μ}{RESET}"
secondary = lambda μ: f"{PURPLE}{μ}{RESET}"
success   = lambda μ:  f"{GREEN}{μ}{RESET}"
warning   = lambda μ: f"{YELLOW}{μ}{RESET}"

danger_if_zero = lambda z: f'{z:3d}' if z else danger(f'{z:3d}')
get_categories = lambda: [danger, warning, success, primary, info]
tgfr           = lambda b: (success if b else danger)(f'{str(b):5}')
